7.6. Lenguajes de programación dinámicos, servidores web y de bases de datos (traducción automática)

Los servidores de base de datos no son instalables en paralelo

Los módulos mariadby mysqlno se pueden instalar en paralelo en RHEL 8.0 debido a los paquetes RPM en conflicto.

Por diseño, es imposible instalar más de una versión (stream) del mismo módulo en paralelo. Por ejemplo, necesita elegir sólo una de las secuencias disponibles en el postgresqlmódulo, ya sea (por defecto10) o 9.6(por defecto). La instalación paralela de componentes es posible en las colecciones de software de Red Hat para RHEL 6 y RHEL 7. En RHEL 8 se pueden utilizar diferentes versiones de servidores de bases de datos en contenedores.

(BZ#1566048)

Problemas en el mod_cgidregistro

Si el módulo httpd de mod_cgidApache se utiliza bajo un módulo multiprocesador (MPM), que es la situación por defecto en RHEL 8, se producen los siguientes problemas de registro:

  • La stderrsalida del script CGI no está precedida por la información de marca de tiempo estándar.
  • La stderrsalida del script CGI no se redirige correctamente a un archivo de registro específico para el archivo VirtualHost, si está configurado.

(BZ#1633224)

El módulo IO::Socket::SSLPerl no soporta TLS 1.3

Las nuevas funciones del protocolo TLS 1.3, como la reanudación de sesión o la autenticación posterior al apretón de manos, se implementaron en la biblioteca RHEL 8 OpenSSLpero no en el módulo Net::SSLeayPerl, por lo que no están disponibles en el módulo IO::Socket::SSLPerl. En consecuencia, la autenticación del certificado de cliente puede fallar y el restablecimiento de las sesiones puede ser más lento que con el protocolo TLS 1.2.

Para solucionar este problema, desactive el uso de TLS 1.3 configurando la SSL_versionopción al !TLSv1_3valor al crear un IO::Socket::SSLobjeto.

(BZ#1632600)